package com.qmth.distributed.print.business.bean.dto.excel;

import com.qmth.teachcloud.common.annotation.ExcelImportTempleteVaild;
import com.qmth.teachcloud.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 教学课程导入dto
 * @Author: CaoZixuan
 * @Date: 2023-03-15
 */
@ExcelImportTempleteVaild(value = true)
public class TeachCourseDto implements Serializable {
    @ExcelNote(value = "课程编号")
    @NotNull
    private String courseCode;

    @ExcelNote(value = "课程名称")
    @NotNull
    private String courseName;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }
}
